# std::nested_exception Class Reference
[Exceptions]

Exception class with exception_ptr data member. More...

Inherited by std::_Nested_exception< _Except >.

List of all members.

## Public Member Functions

- nested_exception (const nested_exception &)
- exception_ptr nested_ptr () const
- nested_exception & operator= (const nested_exception &)
- void rethrow_nested () const __attribute__((__noreturn__))

## Detailed Description

Exception class with exception_ptr data member.

Definition at line 55 of file nested_exception.h.

The documentation for this class was generated from the following file:

- nested_exception.h